Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154713 - 5 * undefined C code
Summary: 5 * undefined C code
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: HelixPlayer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 17:50 UTC by David Binderman
Modified: 2013-03-13 04:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 21:07:19 UTC


Attachments (Terms of Use)

Description David Binderman 2005-04-13 17:50:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax)

Description of problem:

I just tried to compile HelixPlayer-1.0.3-4 from Redhat
Fedora Core development tree

The compiler said

1.

hxaudses.cpp:1779: warning: operation on 'pShortBuf' may be undefined

The source code is

            *pOutUCharBuf++ = (UCHAR)   (
                                ((LONG32) ((*pShortBuf++  + 32768L) >> 8) +
                                 (LONG32) ((*pShortBuf++  + 32768L) >> 8))/2
                                        );

Clearly undefined code. Suggest code rework.

2.

hxaudses.cpp:1787: warning: operation on 'pShortBuf' may be undefined

Duplicate.

3.

pxjpgrnd.cpp:1145: warning: operation on 'pPix' may be undefined

The source code is

	*pPix++ = (*pPix & 0x00FFFFFF) | ulMediaAlpha;

More undefined code. Suggest code rework.

4.

pxjpgrnd.cpp:1195: warning: operation on 'pPix' may be undefined
pxjpgrnd.cpp:1200: warning: operation on 'pPix' may be undefined

Duplicates

I just tried to compile HelixPlayer-1.0.3-4 from Redhat
Fedora Core development tree

The compiler said

1.

hxaudses.cpp:1779: warning: operation on 'pShortBuf' may be undefined

The source code is

            *pOutUCharBuf++ = (UCHAR)   (
                                ((LONG32) ((*pShortBuf++  + 32768L) >> 8) +
                                 (LONG32) ((*pShortBuf++  + 32768L) >> 8))/2
                                        );

Clearly undefined code. Suggest code rework.

2.

hxaudses.cpp:1787: warning: operation on 'pShortBuf' may be undefined

Duplicate.

3.

pxjpgrnd.cpp:1145: warning: operation on 'pPix' may be undefined

The source code is

	*pPix++ = (*pPix & 0x00FFFFFF) | ulMediaAlpha;

More undefined code. Suggest code rework.

4.

pxjpgrnd.cpp:1195: warning: operation on 'pPix' may be undefined
pxjpgrnd.cpp:1200: warning: operation on 'pPix' may be undefined

Duplicates


Version-Release number of selected component (if applicable):
HelixPlayer-1.0.3-4 

How reproducible:
Always

Steps to Reproduce:
1. compile the code with flag -Wall
2.
3.
  

Additional info:

Comment 1 John (J5) Palmieri 2005-04-13 22:10:01 UTC
This should be filed with the Helix Player developers.

Comment 2 David Binderman 2005-04-14 11:04:53 UTC
>This should be filed with the Helix Player developers.

I tried to do this, but the helixplayer homepage wouldn't let me.
Maybe you would have better luck.

I think it would be pretty easy to brew up a suggested patch to 
fix these compiler warnings, while we wait for the helix player pages
to sort themselves out.

Suggest carry patch forward into new versions for Fedora.

Comment 3 John (J5) Palmieri 2005-04-14 15:04:38 UTC
Feel free to submit a patch.  I'm busy with crashers and the like for FC4 so
this is low in my queue.  Are you sure this codepath is even used or is just
cruft laying around that developers haven't taken out yet?  I'll file the bug
upstream.

Comment 4 David Binderman 2005-04-15 11:40:50 UTC
>Are you sure this codepath is even used 

I have no idea. I just compiled the code.

>I'll file the bug upstream.

Thanks


Note You need to log in before you can comment on or make changes to this bug.